# Generated by Django 2.0.5 on 2018-09-06 09:01

from django.db import migrations


def get_default_provider_id(apps, schema_editor):
    Provider = apps.get_model("accounts", "Provider")
    DeviceManufacturerData = apps.get_model("core", "DeviceManufacturerData")
    CiscoMissingData = apps.get_model("core", "CiscoMissingData")
    if not Provider.objects.exists():
        return None
    provider_id = Provider.objects.first().id
    DeviceManufacturerData.objects.update(provider_id=provider_id)
    CiscoMissingData.objects.update(provider_id=provider_id)


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0012_auto_20180905_1023'),
    ]

    operations = [
        # migrations.RunPython(get_default_provider_id)
    ]
